TechDraw AngleDimension: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
m ([[ | ]])
Line 2: Line 2:
<translate>
<translate>
<!--T:18-->
<!--T:18-->
{{Docnav
{{Docnav|[[TechDraw_Dimension_Diameter|New Diameter]]|[[TechDraw_Dimension_Angle3Pt|New Angle3Pt]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Diameter.png|IconC=Workbench_TechDraw.svg|IconR=TechDraw_Dimension_Angle3Pt.png}}
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Dimension_Angle3Pt|New Angle3Pt]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Diameter.png
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Dimension_Angle3Pt.png
}}


<!--T:1-->
<!--T:1-->
Line 9: Line 16:
|MenuLocation=TechDraw → Dimension Angle
|MenuLocation=TechDraw → Dimension Angle
|Workbenches=[[TechDraw Module|TechDraw]]
|Workbenches=[[TechDraw Module|TechDraw]]
|SeeAlso=[[TechDraw Dimension Angle3Pt]]
|SeeAlso=[[TechDraw Dimension Angle3Pt|TechDraw Dimension Angle3Pt]]
}}
}}


Line 33: Line 40:


<!--T:12-->
<!--T:12-->
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool for more information.


==Properties== <!--T:5-->
==Properties== <!--T:5-->


<!--T:13-->
<!--T:13-->
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details.
This object has the same properties as the [[TechDraw Dimension Length|TechDraw Dimension Length]] tool. See that tool for details.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:14-->
<!--T:14-->
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[TechDraw API|TechDraw API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


<!--T:15-->
<!--T:15-->
The Dimension Angle tool can be used in [[macros]] and from the [[Python]] console by using the following functions:
The Dimension Angle tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following functions:


</translate>
</translate>
Line 59: Line 66:


<!--T:19-->
<!--T:19-->
{{Docnav
{{Docnav|[[TechDraw_Dimension_Diameter|New Diameter]]|[[TechDraw_Dimension_Angle3Pt|New Angle3Pt]]|[[TechDraw_Module|TechDraw]]|IconL=Techdraw_Dimension_Diameter.png|IconC=Workbench_TechDraw.svg|IconR=TechDraw_Dimension_Angle3Pt.png}}
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Dimension_Angle3Pt|New Angle3Pt]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Diameter.png
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Dimension_Angle3Pt.png
}}


<!--T:16-->
<!--T:16-->

Revision as of 20:55, 15 October 2019

TechDraw Dimension Angle

Menu location
TechDraw → Dimension Angle
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Angle3Pt

Description

The Dimension Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Angle.png Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)